Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024702
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2013-09-05 17:312013-09-17 19:02
ReportergorkaionView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revision1f55c40cadb9
ProjectionnoneETAnoneTarget Version3.0MP27
OSLinux 32 bitDatabaseOracleJava version1.5.0_15
OS VersionGentooDatabase version11gAnt version1.7.0
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024702: Text of Characteristic description field changes when editing the record from grid

DescriptionWhen a product have some characteristics with values those are shown in the grid in the Characteristic Description column. This field is read only, but when the record is in edit mode the Text with the characteristic values changes to [object Object]
Steps To Reproduce1 Create a Product Characteristic with a value.
2 Assign it to a Product as no variant using the characteristics tab
3 Set a value using the Update Characteristics button
4 Go to grid mode and check the characteristic description shows the characteristic with the value.
5 Start editing the product in the grid and see how the text changes to [object Object]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060951)
hgbot (developer)
2013-09-05 18:36

Repository: erp/devel/pi
Changeset: 1f55c40cadb90bd195a15497db6825a14e1fd4c6
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Sep 05 18:35:18 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1f55c40cadb90bd195a15497db6825a14e1fd4c6 [^]

fixed bug 24702: can't edit in grid product with characteristics

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/CharacteristicsUIDefinition.java
---
(0060955)
AugustoMauch (developer)
2013-09-06 08:46

Code reviewed and verified in pi@21089
(0061223)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-05 17:31 gorkaion New Issue
2013-09-05 17:31 gorkaion Assigned To => alostale
2013-09-05 17:31 gorkaion Modules => Core
2013-09-05 17:31 gorkaion Triggers an Emergency Pack => No
2013-09-05 18:36 hgbot Checkin
2013-09-05 18:36 hgbot Note Added: 0060951
2013-09-05 18:36 hgbot Status new => resolved
2013-09-05 18:36 hgbot Resolution open => fixed
2013-09-05 18:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1f55c40cadb90bd195a15497db6825a14e1fd4c6 [^]
2013-09-05 18:37 alostale Review Assigned To => AugustoMauch
2013-09-06 08:46 AugustoMauch Note Added: 0060955
2013-09-06 08:46 AugustoMauch Status resolved => closed
2013-09-06 08:46 AugustoMauch Fixed in Version => 3.0MP27
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061223


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker